#ifndef PARTICLES_H
#define PARTICLES_H

#include <cstdint>
#include <num/num.h>

class Particle
{
    public:
        Particle( uint16_t lx, uint16_t ly );
        ~Particle();
        void Update( float dt );
        void Render();

        libnum::num x, y;
        libnum::num sx, sy;
        libnum::num age, maxage;
        libnum::num size;
        bool toberemoved;
};

#endif //PARTICLES_H